package com.muzhi.dingtalk.test.service;


import com.muzhi.dingtalk.test.entity.vo.EmployeeFangDeDataVo;
import com.muzhi.dingtalk.test.entity.vo.EmployeeFangDeVo;

import javax.servlet.http.HttpServletRequest;

public interface FangDeTongbuService {

    //TODO 根据NC接口同步数据

    //【测试！！！】获取房德钉钉中的花名册数据并解析成json格式数据返回【在职】
    public EmployeeFangDeDataVo<EmployeeFangDeVo> getFangDeHuamingceTest();

    //【测试！！！】获取房德钉钉中的离职人员信息属于最后工作日为：2021-02-18 00:00:00的人员id【离职】
    String getFangDeHuamingceLiZhiIdTest();

    //【测试！！！】获取房德钉钉中的花名册数据并解析成json格式数据返回【离职】
    public EmployeeFangDeDataVo<EmployeeFangDeVo> getFangDeHuamingceLiZhiTest();



    //房德花名册数据返回指定格式【在职】
    public EmployeeFangDeDataVo<EmployeeFangDeVo> getFangDeHuamingce();

    //房德花名册数据返回指定格式【离职】
    public EmployeeFangDeDataVo<EmployeeFangDeVo> getFangDeHuamingceLiZhi();

    //删除employee表中的所有数据
    String removeFangDeEmployee();

    //同步在职人员花名册数据至房德数据库
    String addFangDeHuamingce();

    //同步离职人员花名册数据至房德数据库
    String addFangDeLiZhiHuamingce();
}
